Debian Bug report logs - #517361
libnetaddr-ip-perl: Use of uninitialized value $NetAddr::IP::Util::n2d_format in sprintf ...

version graph

Package: libnetaddr-ip-perl; Maintainer for libnetaddr-ip-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnetaddr-ip-perl is src:libnetaddr-ip-perl.

Reported by: Brent Clark <brentgclarklist@gmail.com>

Date: Fri, 27 Feb 2009 09:51:02 UTC

Owned by: Nicholas Bamber <nicholas@periapt.co.uk>

Severity: minor

Tags: fixed-upstream, moreinfo

Found in version libnetaddr-ip-perl/4.024+dfsg-1

Fixed in version libnetaddr-ip-perl/4.035+dfsg-2

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=62804

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#517361; Package libnetaddr-ip-perl. (Fri, 27 Feb 2009 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brent Clark <brentgclarklist@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 27 Feb 2009 09:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brent Clark <brentgclarklist@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnetaddr-ip-perl: Use of uninitialized value $NetAddr::IP::Util::n2d_format in sprintf ...
Date: Fri, 27 Feb 2009 11:27:19 +0200
Package: libnetaddr-ip-perl
Version: 4.024+dfsg-1
Severity: minor


When used with spamassassin, I get this in my syslog :

Feb 27 11:24:35 mail spamd[16173]: Use of uninitialized value $NetAddr::IP::Util::n2d_format in sprintf at ../../blib/lib/NetAddr/IP/Util.pm (autosplit into ../../blib/lib/auto/NetAddr/IP/Util/ipv6_n2d.al) line 356, <GEN1757> line 153.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_ZA.UTF-8, LC_CTYPE=en_ZA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libnetaddr-ip-perl depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.0]    5.10.0-19  minimal Perl system

libnetaddr-ip-perl recommends no packages.

libnetaddr-ip-perl suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#517361; Package libnetaddr-ip-perl. (Thu, 14 Oct 2010 11:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 14 Oct 2010 11:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 517361@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 517361@bugs.debian.org, brentgclarklist@gmail.com
Subject: Can this be reproduced?
Date: Thu, 14 Oct 2010 12:42:54 +0100
[Message part 1 (text/plain, inline)]
I don't suppose you could think of a way to reproduce this outside of 
assassin?
[nicholas.vcf (text/x-vcard, attachment)]

Added tag(s) moreinfo. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 14 Oct 2010 11:48:02 GMT) Full text and rfc822 format available.

Owner recorded as Nicholas Bamber <nicholas@periapt.co.uk>. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 14 Oct 2010 11:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#517361; Package libnetaddr-ip-perl. (Thu, 14 Oct 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dominique.dumont@hp.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>. (Thu, 14 Oct 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #19 received at 517361@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dominique.dumont@hp.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 517361@bugs.debian.org
Cc: brentgclarklist@gmail.com
Subject: Re: Bug#517361: "our" and autosplit don't mix well
Date: Thu, 14 Oct 2010 14:32:58 +0200
On Thursday 14 October 2010 13:42:54 Nicholas Bamber wrote:
> I don't suppose you could think of a way to reproduce this outside of
> assassin?

I've looked at $NetAddr::IP::Util. This reminds me of old painful memories 
when I played with autosplit (or was it the reverse ? ;-) )

The error message :
Feb 27 11:24:35 mail spamd[16173]: Use of uninitialized value 
$NetAddr::IP::Util::n2d_format in sprintf at ../../blib/lib/NetAddr/IP/Util.pm 
(autosplit into ../../blib/lib/auto/NetAddr/IP/Util/ipv6_n2d.al) line 356, 
<GEN1757> line 153.

shows that autosplit was used: each method is located in its own file.

And in main $NetAddr::IP::Util we have this declaration:

 our $n2d_format = "%X:%X:%X:%X:%X:%X:%D.%D.%D.%D";

The problem is that the scope of 'our' declaration is limited to the 
compilation block (the file). When autosplit is used, the 'our' declaration 
and the ipv6_n2d file are located in 2 separate files. Hence the undef 
warning.

The fix is quite simple: both variables declared with 'our' needs to be 
changed into global variables. (use vars qw/$n2d_format $n2x_format/;)

But you should talk with upstream for this issue.

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#517361; Package libnetaddr-ip-perl. (Thu, 14 Oct 2010 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 14 Oct 2010 12:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 517361@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Dominique Dumont <dominique.dumont@hp.com>, 517361@bugs.debian.org
Cc: brentgclarklist@gmail.com
Subject: Re: Bug#517361: "our" and autosplit don't mix well
Date: Thu, 14 Oct 2010 13:54:44 +0100
[Message part 1 (text/plain, inline)]
Dominique,
   I was wondering if that might be the problem but not having 
experience of autosplit it was a completeley wild guess on my part. If 
Brent can reproduce the problem we could supply him with a patched 
version to test and send the patch onto upstream.

Dominique Dumont wrote:
> On Thursday 14 October 2010 13:42:54 Nicholas Bamber wrote:
>   
>> I don't suppose you could think of a way to reproduce this outside of
>> assassin?
>>     
>
> I've looked at $NetAddr::IP::Util. This reminds me of old painful memories 
> when I played with autosplit (or was it the reverse ? ;-) )
>
> The error message :
> Feb 27 11:24:35 mail spamd[16173]: Use of uninitialized value 
> $NetAddr::IP::Util::n2d_format in sprintf at ../../blib/lib/NetAddr/IP/Util.pm 
> (autosplit into ../../blib/lib/auto/NetAddr/IP/Util/ipv6_n2d.al) line 356, 
> <GEN1757> line 153.
>
> shows that autosplit was used: each method is located in its own file.
>
> And in main $NetAddr::IP::Util we have this declaration:
>
>  our $n2d_format = "%X:%X:%X:%X:%X:%X:%D.%D.%D.%D";
>
> The problem is that the scope of 'our' declaration is limited to the 
> compilation block (the file). When autosplit is used, the 'our' declaration 
> and the ipv6_n2d file are located in 2 separate files. Hence the undef 
> warning.
>
> The fix is quite simple: both variables declared with 'our' needs to be 
> changed into global variables. (use vars qw/$n2d_format $n2x_format/;)
>
> But you should talk with upstream for this issue.
>
> Dominique
> --
> http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
> http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
>
>
>   

[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#517361; Package libnetaddr-ip-perl. (Sun, 07 Nov 2010 10:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 07 Nov 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #29 received at 517361@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: jwilk@debian.org, francois@debian.org, Noah Meyerhans <noahm@debian.org>, jm@jmason.org, Damien Wyart <damien.wyart@free.fr>, Elimar Riesebieter <riesebie@lxtec.de>
Cc: 517361@bugs.debian.org
Subject: experimental release for #517361
Date: Sun, 07 Nov 2010 10:17:04 +0000
Elimar,
   Thanks for the latest patch to address #601601. I'll produce an 
experimental release to try that out. In the meantime I have an 
experimental release (4.035+dfsg-2) to fix #517361. I would appreciate 
it if some one could try to reproduce that bug and work out whether it 
works.

Nicholas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#517361; Package libnetaddr-ip-perl. (Sun, 07 Nov 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 07 Nov 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 517361@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: jwilk@debian.org, francois@debian.org, Noah Meyerhans <noahm@debian.org>, jm@jmason.org, Damien Wyart <damien.wyart@free.fr>, 517361@bugs.debian.org
Subject: Re: experimental release for #517361
Date: Sun, 7 Nov 2010 12:38:25 +0100
[Message part 1 (text/plain, inline)]
* Nicholas Bamber [101107 10:17 +0000]:
> Elimar,
>    Thanks for the latest patch to address #601601. I'll produce an
> experimental release to try that out. In the meantime I have an experimental
> release (4.035+dfsg-2) to fix #517361. I would appreciate it if some one
> could try to reproduce that bug and work out whether it works.

I can't reproduce #517361.

Elimar

-- 
  Do you smell something burning or ist it me?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#517361; Package libnetaddr-ip-perl. (Sun, 07 Nov 2010 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 07 Nov 2010 13:09:06 GMT) Full text and rfc822 format available.

Message #39 received at 517361@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 517361@bugs.debian.org
Subject: Re: experimental release for #517361
Date: Sun, 7 Nov 2010 12:20:21 +0100
* Nicholas Bamber <nicholas@periapt.co.uk>, 2010-11-07, 10:17:
>   Thanks for the latest patch to address #601601. I'll produce an 
>experimental release to try that out. In the meantime I have an 
>experimental release (4.035+dfsg-2) to fix #517361. I would appreciate 
>it if some one could try to reproduce that bug and work out whether it 
>works.

Unfortunately, with spamassassin 3.3.1-1 and libnetaddr-ip-perl 
4.035+dfsg-2 the bug is still reproducible.

But anyway, thanks for your work!

-- 
Jakub Wilk




Set Bug forwarded-to-address to 'http://rt.cpan.org/Ticket/Display.html?id=62804'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 07 Nov 2010 17:09:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#517361; Package libnetaddr-ip-perl. (Sun, 07 Nov 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 07 Nov 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #46 received at 517361@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 517361@bugs.debian.org
Subject: Re: experimental release for #517361
Date: Sun, 7 Nov 2010 19:09:21 +0100
* Jakub Wilk <jwilk@debian.org>, 2010-11-07, 12:20:
>>  Thanks for the latest patch to address #601601. I'll produce an 
>>experimental release to try that out. In the meantime I have an 
>>experimental release (4.035+dfsg-2) to fix #517361. I would 
>>appreciate it if some one could try to reproduce that bug and work 
>>out whether it works.
>
>Unfortunately, with spamassassin 3.3.1-1 and libnetaddr-ip-perl 
>4.035+dfsg-2 the bug is still reproducible.

Oh, sorry, I confused these two bugs: #601601 and #517361.

I cannot reproduce #517361, but neither could I with 4.035+dfsg-1.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#517361; Package libnetaddr-ip-perl. (Tue, 16 Nov 2010 19:09:05 GMT) Full text and rfc822 format available.

Message #49 received at 517361@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 601601@bugs.debian.org, 601601-submitter@bugs.debian.org, 517361@bugs.debian.org, 517361-submitter@bugs.debian.org
Subject: Bug in libnetaddr-ip-perl fixed in revision 64943
Date: Tue, 16 Nov 2010 19:06:42 +0000
tag 601601 + pending
tag 517361 + pending
thanks

Some bugs are closed in revision 64943
by Nicholas Bamber (periapt-guest)

Commit message:

* Positive feedack for IPv6 issue patches (Closes: #601601)
* No negative feedback for autosplit/our patch (Closes: #517361)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 16 Nov 2010 19:09:10 GMT) Full text and rfc822 format available.

Message sent on to Brent Clark <brentgclarklist@gmail.com>:
Bug#517361. (Tue, 16 Nov 2010 19:09:12 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libnetaddr-ip-perl/4.035+dfsg-2. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 16 Nov 2010 20:03:09 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 18 Nov 2010 16:36:03 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Sun, 21 Nov 2010 00:57:03 GMT) Full text and rfc822 format available.

Notification sent to Brent Clark <brentgclarklist@gmail.com>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 00:57:03 GMT) Full text and rfc822 format available.

Message #63 received at 517361-done@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 517361-done@bugs.debian.org
Subject: NetAddr::IP
Date: Sun, 21 Nov 2010 00:55:00 +0000
This bug was fixed in an experimental release, which has now been sent
to unstable.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:27:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:47:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.